Bug 1932660 - lsb_release -d should use $PRETTY_NAME from /etc/os-release
Summary: lsb_release -d should use $PRETTY_NAME from /etc/os-release
Keywords:
Status: CLOSED EOL
Alias: None
Product: Fedora
Classification: Fedora
Component: redhat-lsb
Version: 37
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Sergio Basto
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2021-02-24 20:59 UTC by Matthew Miller
Modified: 2023-12-05 21:00 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2023-12-05 21:00:43 UTC
Type: Bug
Embargoed:


Attachments (Terms of Use)

Description Matthew Miller 2021-02-24 20:59:23 UTC
Right now, the string you get when you run `lsb-release -d` is cobbled together in /usr/bin/lsb_release. Instead, please use PRETTY_NAME from `/etc/os-release`.

There is a comment in that script which says

    # build the DISTRIB_DESCRIPTION string (never need to be parsed)

... so I think it's safe (and appropriate!) to use the PRETTY_NAME here. That's literally what it's for.

Why is this important? It makes Fedora Workstation, Fedora Server, Fedora CoreOS,  Fedora Container Image, etc., display differently.

Comment 1 Ondrej Vasik 2021-02-25 19:17:55 UTC
Afaik lsb_release -d uses the string from /etc/system-release ... I'll let Lukas to investigate this request, though...

Comment 2 Ben Cotton 2021-08-10 12:53:08 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 35 development cycle.
Changing version to 35.

Comment 3 Ben Cotton 2022-08-09 13:11:31 UTC
This bug appears to have been reported against 'rawhide' during the Fedora Linux 37 development cycle.
Changing version to 37.

Comment 4 Fedora Update System 2023-10-06 16:33:07 UTC
FEDORA-2023-8e90030e60 has been submitted as an update to Fedora 39. https://bodhi.fedoraproject.org/updates/FEDORA-2023-8e90030e60

Comment 5 Fedora Update System 2023-10-07 02:33:08 UTC
FEDORA-2023-8e90030e60 has been pushed to the Fedora 39 testing repository.
Soon you'll be able to install the update with the following command:
`sudo dnf upgrade --enablerepo=updates-testing --refresh --advisory=FEDORA-2023-8e90030e60`
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2023-8e90030e60

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 6 Fedora Update System 2023-10-08 01:21:30 UTC
FEDORA-2023-8e90030e60 has been pushed to the Fedora 39 testing repository.
Soon you'll be able to install the update with the following command:
`sudo dnf upgrade --enablerepo=updates-testing --refresh --advisory=FEDORA-2023-8e90030e60`
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2023-8e90030e60

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 7 Aoife Moloney 2023-11-23 00:04:53 UTC
This message is a reminder that Fedora Linux 37 is nearing its end of life.
Fedora will stop maintaining and issuing updates for Fedora Linux 37 on 2023-12-05.
It is Fedora's policy to close all bug reports from releases that are no longer
maintained. At that time this bug will be closed as EOL if it remains open with a
'version' of '37'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, change the 'version' 
to a later Fedora Linux version. Note that the version field may be hidden.
Click the "Show advanced fields" button if you do not see it.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora Linux 37 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora Linux, you are encouraged to change the 'version' to a later version
prior to this bug being closed.

Comment 8 Aoife Moloney 2023-12-05 21:00:43 UTC
Fedora Linux 37 entered end-of-life (EOL) status on None.

Fedora Linux 37 is no longer maintained, which means that it
will not receive any further security or bug fix updates. As a result we
are closing this bug.

If you can reproduce this bug against a currently maintained version of Fedora Linux
please feel free to reopen this bug against that version. Note that the version
field may be hidden. Click the "Show advanced fields" button if you do not see
the version field.

If you are unable to reopen this bug, please file a new report against an
active release.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.